Skip to main content
POST
/
notes
/
templates
/
from-form
/
{form_id}
Create Note Template From Form
curl --request POST \
  --url https://api.decodahealth.com/notes/templates/from-form/{form_id} \
  --header 'API-KEY: <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'TENANT: <tenant>' \
  --data '
{
  "name": "<string>",
  "userIds": [
    "<string>"
  ],
  "includeBlockNames": true
}
'
import requests

url = "https://api.decodahealth.com/notes/templates/from-form/{form_id}"

payload = {
"name": "<string>",
"userIds": ["<string>"],
"includeBlockNames": True
}
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', userIds: ['<string>'], includeBlockNames: true})
};

fetch('https://api.decodahealth.com/notes/templates/from-form/{form_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "createdDate": "2023-11-07T05:31:56Z",
  "questions": [],
  "userIds": [
    "<string>"
  ],
  "isFavorited": false,
  "expiryDays": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Path Parameters

form_id
string
required

Body

application/json

Request body for converting a Form to a NoteTemplate.

name
string | null

Custom name. Defaults to '{form_name}'

userIds
string[] | null

User IDs to grant access. Defaults to creator only

includeBlockNames
boolean
default:true

Prepend block names to question names

Response

Successful Response

id
string
required
name
string
required
createdDate
string<date-time>
required
questions
NoteQuestionDetail · object[]
userIds
string[] | null
isFavorited
boolean
default:false
expiryDays
integer | null